WiPay
WAPIsv2.0.2User

Retrieve Profile

Retrieve the authenticated user's profile, including account details, balances, and Bank configuration status.

GET
/user
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Response Body

curl -X GET "https://tt.wipayfinancial.com/wapi/user"
{
  "message": "OK",
  "data": {
    "account_number": "1234567890",
    "account_type": "PERSONAL",
    "balances": {
      "foreign": {
        "balance": 0,
        "currency": "USD"
      },
      "local": {
        "balance": 500,
        "currency": "TTD"
      }
    },
    "bank_configured": {
      "foreign": false,
      "local": true
    },
    "country": "TT-780",
    "email": "user@example.com",
    "first_name": "John",
    "last_name": "Smith",
    "phone": "+18687778899",
    "profile_picture": null,
    "verified": true
  }
}